---- Component prototype
	component = {}
	component.__index = component

---- Callbacks
-- Input
	function component:input()
	
	end

-- Update
	function component:update()
	end
	
-- Draw
	function component:draw()	
	end
	
-- Debug
	function component:debug()
	end

---- Initialize
	function component:init()
	end

---- Constructor
	function component:new()
		local object = {}
		
		setmetatable(object , self)
	
		return object
	end
