---- Quick sort
	quickSort = {}
	
	local left , right , pivot	
	function quickSort.sort(startLeft , startRight , table)
		if startLeft < startRight then
			left = startLeft
			right = startRight
			pivot = left
			
			while true do
			-- LEFT
			-- Pivot value less or equal to right element
				while table[pivot].transform.positionWorld.z - table[pivot].components.draw.prio * 0.1 >= table[right].transform.positionWorld.z - table[right].components.draw.prio * 0.1 do
					if pivot == right then
						break
					end
					
				-- Move one step to the left
					right = right - 1
				end
			
			-- Break if left and right are the same
				if pivot == right then
					break
					
			-- Else if pivot value is greater than right value, swap them
				elseif table[pivot].transform.positionWorld.z - table[pivot].components.draw.prio * 0.1 < table[right].transform.positionWorld.z - table[right].components.draw.prio * 0.1 then
					table[pivot] , table[right] = table[right] , table[pivot]
					
				-- Pivot is now pointing right
					pivot = right
				end
			
			-- RIGHT
			-- Pivot value greater or equal to left element
				while table[pivot].transform.positionWorld.z - table[pivot].components.draw.prio * 0.1 <= table[left].transform.positionWorld.z - table[left].components.draw.prio * 0.1 do
					if pivot == left then
						break
					end
					
				-- Move one step to the right
					left = left + 1
				end
			
			-- Break if left and right are the same
				if pivot == left then
					break
					
			-- Else if pivot value is less than right value, swap them
				elseif table[pivot].transform.positionWorld.z - table[pivot].components.draw.prio * 0.1 > table[left].transform.positionWorld.z - table[left].components.draw.prio * 0.1 then
					table[pivot] , table[left] = table[left] , table[pivot]
				
				-- Pivot is now pointing left
					pivot = left
				end
			end
		
		-- Sort the left sub list
			quickSort.sort(startLeft , pivot - 1 , table)
			
		-- Sort the right sub list
			quickSort.sort(pivot + 1 , startRight , table)
		end
	end
