---- Matrix class
	matrix = {}
	matrix.__index = matrix
	
---- Operator functions
-- Multiply
	function matrix:__mul(other)
	-- 3x3 matrix
		if #other > 2 then
			return matrix:new({{math.dotTable(self[1] , other[1]) , math.dotTable(self[1] , other[2]) , math.dotTable(self[1] , other[3])} , {math.dotTable(self[2] , other[1]) , math.dotTable(self[2] , other[2]) , math.dotTable(self[2] , other[3])} , {math.dotTable(self[3] , other[1]) , math.dotTable(self[3] , other[2]) , math.dotTable(self[3] , other[3])}})
	-- 2x2 matrix
		else
			return matrix:new({{math.dotTable(self[1] , other[1]) , math.dotTable(self[1] , other[2])} , {math.dotTable(self[2] , other[1]) , math.dotTable(self[2] , other[2])}})
		end
	end

---- Utility functions
-- Print
	function matrix:print()
		print(" [" .. string.format("%f" , self[1][1]) .. " " .. string.format("%f" , self[1][2]) .. " " .. string.format("%f" , self[1][3]) .. "]")
		print(" [" .. string.format("%f" , self[2][1]) .. " " .. string.format("%f" , self[2][2]) .. " " .. string.format("%f" , self[2][3]) .. "]")
		print(" [" .. string.format("%f" , self[3][1]) .. " " .. string.format("%f" , self[3][2]) .. " " .. string.format("%f" , self[3][3]) .. "]")
	end
	
---- Constructor
-- Arbitraty matrix
	function matrix:new(table)
		local object = table or {{1 , 0 , 0} , {0 , 1 , 0} , {0 , 0 , 1}}
		
		setmetatable(object , self)
		
		return object
	end
