---- Radix sort
	radixSort = {}
	
	radixSort.bucket = {{} , {} , {} , {} , {} , {} , {} , {} , {} , {}}
	
---- Functions
-- Clear buckets
	function radixSort:clear()
		for i = 1 , 10 do
			self.bucket[i] = {}
		end
	end

-- Iteration
	local count
	function radixSort:iterate(tableToSort , modNumber , percent)
		self:clear()
	
	-- Iterate objects in table
		for _ , object in pairs(tableToSort) do
			table.insert(self.bucket[math.floor(((100 + (object.transform.positionWorld.z * 10) - object.components.draw.prio) % modNumber) * percent) + 1] , object)
		end
		
	-- Reassemble table
		count = 0
		for i = 10 , 1 , -1 do
		--print("i " .. i)
			for j = 1 , #self.bucket[i] do
				--print(" j " .. j)
				--print("      " .. 20 + object.transform.positionWorld.z - object.components.draw.prio)
				count = count + 1
				tableToSort[count] = self.bucket[i][j]
			end
		end
	end
	
-- Main sort function, for max two digit numbers
	function radixSort:sort(tableToSort , iterations)
		for i = 1 , iterations do
			self:iterate(tableToSort , 10 ^ i , 10 ^ (-i + 1))
		end
		
		--print("New sort")
		for i , object in pairs(tableToSort) do
			--print(100 + (object.transform.positionWorld.z * 10) - object.components.draw.prio)
		end
	end
