---- The main scene and root entity
	require "create"
	require "sceneImporter"

	world = {}

---- Set an empty world
	function world.new()
	-- Root entity	
		world.rootEntity = entity:new()
		world.rootEntity.id = 0
		
	-- Root GUI entity
		world.GUI = entityGUI:new()
		world.GUI.id = 0
		
	-- Camera
		world.camera = create.entity("camera")
	end

---- Functions
-- Load scene
	function world.loadScene(file)
		sceneImport.import(file)
	end
	
-- Set camera
	function world.setCamera(cameraEntity)
		if cameraEntity.components.camera then
			world.camera = cameraEntity
		end
	end

---- Callbacks
-- Update
	function world.update()
		systemManager.update()
	end

-- Draw
	function world.draw()
		systemManager.draw()
	end
